Subject: I-D Action:draft-josefsson-sasl-external-channel-01.txt

From: [email-masked]
Date: Mon, 13 Apr 2009 16:45:01 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : SASL Mechanism for External Authentication using a Named Channel: EXTERNAL-CHANNEL
	Author(s)       : S. Josefsson
	Filename        : draft-josefsson-sasl-external-channel-01.txt
	Pages           : 9
	Date            : 2009-04-13

This document describes a way to perform end-user authentication in
the Simple Authentication and Security Layer (SASL) framework by re-
using an external security layer (such as the Transport Layer
Security (TLS) protocol) that may have already completed end-user
authentication.  In comparison with the existing EXTERNAL mechanism,
this mechanism alleviates the a priori assumptions made by the design
of the EXTERNAL mechanism.  This mechanism transfers an identifier of
the external channel to be used explicitly.

See <http://josefsson.org/external-channel/> for more information.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-josefsson-sasl-external-channel-01.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.